<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>



<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<%

UserBean theUser = (UserBean)request.getAttribute("TheUser");

int maxRows = 0;

String buddyList[] = theUser.getBuddyList();
String enemyList[] = theUser.getEnemyList();


maxRows = buddyList.length > enemyList.length ? buddyList.length : enemyList.length ;


String msg = (String)request.getAttribute("message");


%>

<%
if(msg != null){
 	out.println("<div class=\"alert alert-info text-center\">" + msg + "</div>");
}
%>


<a href="<%=response.encodeURL("FrontController?operation=509") %>">Back Home</a>

<h1>White/Black List for <%=theUser.getEmail()%></h1>
<br>

<div class="row">
	<div class="col-md-6">
		<div class="well-info-wrap">
			<div class="well-info-header">White List</div>
			<div class="well-info-body no-padding">
				<div class="well-info-additional">DO NOT enter partial email address. Domain names must start with a '@' sign.</div>
				<div style="padding:10px;">
					<form action="<%= request.getAttribute("appPath") %>" method="post">
					<br style="clear:both;">
					<span class="form-control form-left form-text pull-left wth-4">Add a new email/domain in White List</span>
					<input class="form-control form-middle pull-left wth-5" type="text" name="txtEmail" />
					<button class="btn btn-submit form-right pull-left wth-1" type="submit">Save</button>
					<input type="hidden" name="operation" value="104" />
					<input type="hidden" name="listType" value="white" />
					</form>
					<br style="clear:both;">
				</div>
			</div>
		</div>
	</div>
	
	<br class="hide_lg">
	<div class="col-md-6">
		<div class="well-info-wrap">
			<div class="well-info-header">Black List</div>
			<div class="well-info-body no-padding">
				<div class="well-info-additional">DO NOT enter partial email address. Domain names must start with a '@' sign.</div>
				<div style="padding:10px;">
					<form action="<%= request.getAttribute("appPath") %>" method="post">
					<br style="clear:both;">
					<span class="form-control form-left form-text pull-left wth-4">Add a new email/domain in Black List</span>
					<input class="form-control form-middle pull-left wth-5" type="text" name="txtEmail" />
					<button class="btn btn-submit form-right pull-left wth-1" type="submit">Save</button>
					<input type="hidden" name="operation" value="104" />
					<input type="hidden" name="listType" value="black" />
					</form>
					<br style="clear:both;">
				</div>
			</div>
		</div>
	</div>
</div>

<br style="clear:both;"><br>
<div class="well-info-wrap table-responsive">
	<table class="table table-striped table-bordered">
		<tr class="well-info-header">
			<td>List of existing White listed emails/domains</td>
			<td>Action</td>
			<td>List of existing Black listed emails/domains</td>
			<td>Action</td>
		</tr>

		<%
		String buddy;
		String enemy;
		String buddyLink, enemyLink;
		String blankString = "";
		String greyColor = "#FFFFFF";
		String whiteColor = "#FFFFFF";
		String rowColor;



		for(int i = 0; i < maxRows; i++){
			if(buddyList.length > i && buddyList[i] != null){
				buddy = buddyList[i];
				buddyLink = "<a href=\"FrontController?operation=105&type=buddy&id=" + buddy + "\">Remove</a>";
			}else{
				buddy = blankString;
				buddyLink = blankString;
			}
			if(enemyList.length > i && enemyList[i] != null){
				enemy = enemyList[i];
				enemyLink = "<a href=\"FrontController?operation=105&type=enemy&id=" + enemy + "\">Remove</a>";
			}else{
				enemy = blankString;
				enemyLink = blankString;
			}

			rowColor = ((i % 2) == 0) ? greyColor : whiteColor;
			%>

		<tr>
			<td><%=buddy%></td>
			<td class="text-center"><%=buddyLink%></td>
			<td><%=enemy%></td>
			<td class="text-center"><%=enemyLink%></td>
		</tr>


			<%

		}
		%>

	</table>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
