<!--NEWSKIN2015JP-->
<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>




<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<h1>Active Directory Integration</h1>
<%
String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	%>
	<div class="alert alert-info">
		<%=infoMessage %>
	</div>
	<%
}
%>


<br style="clear:both;">
<div class="row">
	<div class="col-md-3"></div>
	<div class="col-md-6">
		<%
		if(request.getAttribute("ldapLookupRequired") != null && request.getAttribute("ldapLookupRequired").toString().trim().length() > 2){
			%>
			<a href="<%=response.encodeURL("FrontController?operation=203") %>"><button class="btn btn-sm btn-menu pull-right"><span class="glyphicon glyphicon-import"></span> &nbsp; Pull Users from AD to Xeams</button></a>
			<%
		}
		%>
		<br style="clear:both;"><br>
		<form action="<%= request.getAttribute("appPath") %>" method="post">
			<div class="well-info-wrap">
				<div class="well-info-header">AD Configuration</div>
				<div class="well-info-body no-padding">
					<div class="well-info-additional"><a href="http://www.xeams.com/ActiveDirectory.htm" target="_blank">Click here</a> to read more about Active Directory and how it is used in Xeams.</div>
					<div style="padding:10px;">
						<br style="clear:both;">
							<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('enableAD')"><b>?</b></div>
							<span class="form-control pull-left form-middle form-text wth-8">Enable AD Integration</span>
							<span class="chkbox-cust form-control form-right pull-left wth-1">
								<input id="chk-ADInt" type="checkbox" name="ldapLookupRequired" <%=request.getAttribute("ldapLookupRequired")%> value="1">
								<label for="chk-ADInt"></label>
							</span>
							
							<br style="clear:both;">
							<div class="alert alert-info more_info" id="enableAD">
								If this box is not checked, every parameter below will be ignored. 			
							</div>
							
						<br style="clear:both;"><br>
							<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('replaceExistingLocalUserWhenAddingAdUser')"><b>?</b></div>
							<span class="form-control pull-left form-middle form-text wth-8">Inherit from local user</span>
							<span class="chkbox-cust form-control form-right pull-left wth-1">
								<input id="chk-inherit" type="checkbox" name="replaceExistingLocalUserWhenAddingAdUser" <%=request.getAttribute("replaceExistingLocalUserWhenAddingAdUser")%> value="1">
								<label for="chk-inherit"></label>
							</span>
							
							<br style="clear:both;">
							<div class="alert alert-info more_info" id="replaceExistingLocalUserWhenAddingAdUser">
								If checked, white/black list will be copied from local user to the newly created AD user. The local user will be removed. Consider the following example:<br><br>
								Assume <b>john.smith@xyz.com</b> is a local user on your system. John has an account on your AD and his login is <b>johns</b>. 
								<br><br>
								After you enable AD in Xeams, you
								want John to use his AD credentials rather than Xeams. When he logs in the first time, Xeams will create another account that will be identified by <b>johns</b>
								and will copy the White/Black list values from his previous account to the new account. The older account (<b>john.smith@xyz.com</b>) will be deleted.
							</div>
							
							
						<br style="clear:both;"><br>
							<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('ldapUsers')"><b>?</b></div>
							<span class="form-control pull-left form-middle form-text wth-8">Integrate Users</span>
							<span class="chkbox-cust form-control form-right pull-left wth-1">
								<input id="chk-intUser" type="checkbox" name="ldapUserIntegration" <%=request.getAttribute("ldapUserIntegration")%> value="1">
								<label for="chk-intUser"></label>
							</span>
							
							<br style="clear:both;">
							<div class="alert alert-info more_info" id="ldapUsers">
								If checked, users in Xeams will be integrated with Active Directory. They can use their normal AD user id and password to login
								to the web interface.
							</div>
							
							
						<br style="clear:both;"><br>
							<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('rejectInvalid')"><b>?</b></div>
							<span class="form-control pull-left form-middle form-text wth-8">Reject Invalid Users</span>
							<span class="chkbox-cust form-control form-right pull-left wth-1">
								<input id="chk-reject" type="checkbox" name="ldapUseInSmtpRcptTo" <%=request.getAttribute("ldapUseInSmtpRcptTo")%> value="1">
								<label for="chk-reject"></label>
							</span>
							
							<br style="clear:both;">
							<div class="alert alert-info more_info" id="rejectInvalid">
								This option only matters if you are using the regular SMTP server to receive in-bound emails. Before an email is accepted,
								Xeams can query the AD to confirm user exist on the system. <br><br>
								This option does not apply if you are using the SMTP Proxy Server.
							</div>
							
							
						
						<br style="clear:both;"><br>
						<span class="form-control pull-left form-left form-text wth-5">Host Name/IP</span>
						<input class="form-control pull-left form-right text-center wth-5" type="text" name="ldapServerHost" value="<%=request.getAttribute("ldapServerHost")%>">
						
						<br style="clear:both;"><br>
						<span class="form-control pull-left form-left form-text wth-5">AD Domain Name</span>
						<input class="form-control pull-left form-right text-center wth-5" type="text" name="ldapRootName" value="<%=request.getAttribute("ldapRootName")%>">
						
						<br style="clear:both;"><br>
						<span class="form-control pull-left form-left form-text wth-5">Base DN</span>
						<input class="form-control pull-left form-right text-center wth-5" type="text" name="ldapBaseDN" value="<%=request.getAttribute("ldapBaseDN")%>">
						
							<div class="alert alert-warning text-center">
								<%
								if(request.getAttribute("suggestedBaseDN") == null){
									%>
									<b>Tip:</b> Leave this field blank to see suggested values for BaseDN.
									<%
								}else{
									%>
									<b>Suggested values</b>
									<ul>
									<%= request.getAttribute("suggestedBaseDN")%>
									</ul>
									<%
								}
								%>
							</div>
						
						<br style="clear:both;">
						<span class="form-control pull-left form-left form-text wth-5">Administrator's User ID</span>
						<input class="form-control pull-left form-right text-center wth-5" type="text" name="ldapUser" value="<%=request.getAttribute("ldapUser")%>">
						
						<br style="clear:both;"><br>
						<span class="form-control pull-left form-left form-text wth-5">Password</span>
						<input class="form-control pull-left form-right text-center wth-5" type="password" name="ldapPwd" value="<%=request.getAttribute("ldapPwd")%>">
						
						<br style="clear:both;"><br>
						<button class="btn btn-sm btn-submit pull-right" type="submit">Submit</button>
						<br style="clear:both;">
						<input type="hidden" name="operation" value="191">
						<input type="hidden" name="st" value="save">
					</div>
				</div>
			</div>
		</form>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
