<!-- ******** NEW_SKIN_2015 ******** -->

<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*, java.io.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>




<%
Integer aLevel = (Integer) request.getSession().getAttribute("authorizationLevel");
if(aLevel == null || aLevel.intValue() < 20){
	out.println("Not authorized");
	return;
}
%>

<br><br>
<a class="btn btn-md btn-menu" href="<%=response.encodeURL("FrontController?operation=119") %>"><span class="glyphicon glyphicon-edit"></span>&nbsp; Modify logging configuration</a>
<br><br>

<%
	File logDir = new File("logs/");
	File[] files = logDir.listFiles();

    if(files == null){
     	out.print("No files found in the Logs folder");
        return;
    }

    java.util.List<File> aList = new ArrayList<File>(files.length);
    for(int i = 0; i < files.length; i++){
    	
    	if(files[i].getName().endsWith(".log")){
     		aList.add(files[i]);
    	}
    }
    Collections.sort(aList);
    files = (File[])aList.toArray(files);
%>

<form action="LogResults.jsp">
<div class="table-responsive">
	<table class="table table-striped table-condensed table-bordered table-hover">
		<tr class="well-info-header">
			<td></td>
			<td><b>File Name</b></td>
			<td><b>Size</b></td>
		</tr>

		<%
		String rowColor;
		String white = "#FFFFFF";
		String grey = "#EDECE3";
		for(int i = 0; i < aList.size(); i++){
			
			File oneFile = aList.get(i);
			
			if(!oneFile.exists()){
				continue;
			}
			if( (i % 2) == 0){
				rowColor = white;
			}else{
				rowColor = grey;
			}
		%>
		<tr>
			<td><input type="radio" name="fileName" value="<%="logs/" + oneFile.getName()%>"/> </td>
			<td><%=oneFile.getName()%></td>
			<td><%=GlobalFuncs.formatFileSize(oneFile.length())%></td>
		</tr>
		<%
		}
		%>
	</table>
</div>

	<div class="row">
		<div class="col-md-4"></div>
		<div class="col-md-4">
			<b>Number of lines to display:</b>
			<input class="form-control text-center" type="text" name="lines" value="200" size="5"/>
			<br>
			<b>Filter string</b>
			<input class="form-control" type="text" name="filter" value="" size="25"/>
			<br>
			<button class="btn btn-sm btn-submit pull-right" type="submit">Show Content</button>
		</div>
	</div>
	
</form>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
