<%@ page import="com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*" %>



<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Manage Aliases", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "AliasManager");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo; Manage Aliases

<h1>Manage Aliases</h1>

<div class="well">
Aliases allow you to forward email sent to one address to multiple recipients. For example, you can create an alias for 
<b>sales@YourCompany.com</b> and forward it to <b>john@YourCompany.com</b>, <b>mary@YourCompany.com</b> and <b>bob@SomeOtherDomain.com</b>.

<br><br>John, Mary and Bob will get the email when <b>sales@YourCompany.com</b> is specified in either <b>TO, CC or BCC</b>

</div>

<%

String errorMsg = (String)request.getAttribute("errorMsg");

if(errorMsg != null && !errorMsg.isEmpty()){
	%>
	<div class="alert alert-danger text-center"><%=errorMsg %></div>
	<%
}

%>

<div class="row">
	<div class="col-md-12">
		<div class="well-info-wrap">
			<div class="well-info-header">Existing aliases</div>
			<div class="well-info-body no-padding table-responsive">
				<table class="table table-striped table-bordered table-hover">
					<tr>
						<th>Alias Address</th>
						<th>Forwards To</th>
						<th class="text-center">Action</th>
					</tr>
	<%
	List<String> aliases = (List<String>)request.getAttribute("aliases");
	List<String> forwards = (List<String>)request.getAttribute("forwards");

	if(aliases.size() > 0){
		
	%>
					
					<%
					for(int i = 0; i < aliases.size(); i++){
						%>
						<tr class="<%= ((i % 2) == 0) ? "evenRow" : "oddRow" %>">
							<td><%=aliases.get(i) %></td>
							<td><%=forwards.get(i) %></td>
							<td class="text-center"><a href="<%=response.encodeURL("FrontController?operation=176") %>&email=<%=aliases.get(i)%>">Remove</a></td>
						</tr>
						<%
					}
					%>
					
			<%	
			}
			%>
					<tr>
						<form action="<%= request.getAttribute("appPath") %>" method="post">
						<td>
							<input class="form-control form-left pull-left wth-8" type="text" name="aliasName" placeholder="New Alias Name">
							<div class="btn btn-info form-control pull-left form-right wth-1" onclick="more_info('aliasAddress')"><b>?</b></div>
						</td>
						<td>
							<input class="form-control pull-left form-left wth-9" type="text" name="forwardTo" placeholder="Forward To Address(es)">
							<div class="btn btn-info form-control pull-left form-right wth-1" onclick="more_info('aliasFwd')"><b>?</b></div>
						</td>
						<td class="text-center">
							<button class="btn btn-sm btn-submit">Add Alias</button>
						</td>
						<input type="hidden" name="operation" value="175">
						</form>
					</tr>
				</table>
			</div>
			<div class="alert alert-info more_info" id="aliasAddress" style="margin-top:-30px;">
			   Email address that is treated as an alias. For example, <b>sales@yourcompany.com</b> 
			</div>
			<div class="alert alert-info more_info" id="aliasFwd" style="margin-top:-30px;">
			   One or more email address where messages will get forwarded. Use a comma to separate multiple values.
			</div>
		</div>
	</div>
</div>

<%@ include file="NewPageFooter.jsp" %>