<%@page import="com.synametrics.xeams.bean.ResourceBean"%>
<%
String versionString = "Version " + ResourceBean.getMajorVersionNumber() + 
					", build " + ResourceBean.getCurrentBuildNumber();

int pageIdentifier = 0;
String imagePath = ResourceBean.getImagePath();
String productName = ResourceBean.getProductName();
String domainName = ResourceBean.getDomain();
String companyName = ResourceBean.getCompany();
String helpSite = "http://www.xeams.com/";
int authorizationLevel = ResourceBean.AL_NOT_LOGGED_IN;
boolean showRightPane = true;

showRightPane = request.getAttribute("hideRightPane") == null;



//COMMENT FOR IMRAN: I got this from http://www.activema.com/
// public "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
%>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<title><%= productName %> Admin Console - <%=versionString%></title>
<meta http-equiv="X-UA-Compatible" content="IE=11">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
<meta name="Title" content="<%= productName %>">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link href="<%= imagePath %>bootstrapCSS/css/bootstrap.min.css" rel="stylesheet" type="text/css">
<link href="<%= imagePath %>bootstrapCSS/css/bootstrap-theme.min.css" rel="stylesheet" type="text/css">

<link href="<%= imagePath %>styleSheet.css" rel="stylesheet" type="text/css">
<link href="<%= imagePath %>newStyleSheet.css" rel="stylesheet" type="text/css">

<script type="text/javascript" src="<%= imagePath %>scripts.js"></script>
<script type="text/javascript" src="<%= imagePath %>popupTips.js"></script>
<script type="text/javascript" src="<%= imagePath %>tabs.js"></script>

<script type="text/javascript" src="<%= imagePath %>jquery-1.11.2.min.js"></script>
<script type="text/javascript" src="<%= imagePath %>bootstrapCSS/js/bootstrap.min.js"></script>
<script>function more_info(x){	$("#"+x).slideToggle();	$(".more_info").click( function(){		$("#"+x).hide();	}); } function more_menu(x){	$("."+x).slideToggle();}</script>
</head>

<body onLoad="XeamsMenu.initialize(); roinit(); setupTabs();">
	<div class="container-fluid">
		<div class="row"> <!-- row1 -->
			<div class="col-md-12 col-xs-12" style="background-color:#2f4630; background:linear-gradient(#141e15,#5c805e); border-bottom:solid 1px #5c805e; box-shadow:0px 0px 13px 3px #141e15; z-index:6;">
				<div>
					<a href="." id="home_link"><span id="header_left">
					<img id="header_img" src="<%= imagePath %>logo.png" alt="Xeams Logo" title="Xeams Logo"/>&nbsp;
					XEAMS <span id="header_sub">eXtended Email And Messaging Server</span></a>
					<div class="pull-right pointer" id="header_right"><%=versionString %></div></span>			
				</div>
			</div>
				<div class="row" style="background-color:#fff;"> <!-- row2 -->
					<div class="col-md-12 col-xs-12 text-center">
						
						<%

						Integer isAuth = (Integer) request.getSession().getAttribute("authorizationLevel");
					 
						if(isAuth != null){
							authorizationLevel = isAuth.intValue();
						}
						
						boolean isViewingAllowed = request.getSession().getAttribute("isViewingAllowed") == null ||
												   request.getSession().getAttribute("isViewingAllowed").equals("true");
						
						if(authorizationLevel >= ResourceBean.AL_ADMIN_USER){ //for admin menu links

						%>
						
						<ul class="list-inline" id="header_menu">
							<li><a href="<%= response.encodeURL("FrontController?operation=60") %>" class="menu_hide_sm hide_md">Home</a>
								<a class="hide_lg pointer"><span class="glyphicon glyphicon-home" style=""></span></a>
								<DIV class="submenu menu_sm">
									<ul class="list-unstyled">
									<li class="hide_lg"><a href="<%= response.encodeURL("FrontController?operation=60") %>">Home</a></li>
								<%
								if(com.synametrics.xeams.config.AppConfig.getInstance().isMultiDomain() &&
								authorizationLevel >= ResourceBean.AL_SUPER_USER ){
								%>	
									<li><A href="<%= response.encodeURL("FrontController?operation=173") %>">Switch Profile</A></li>
									
								<%
								}
								%>
								
								<%
								if(authorizationLevel >= ResourceBean.AL_SUPER_USER ){
								%>	
									<li><A href="<%=response.encodeURL("FrontController?operation=223") %>">Cluster Management</A></li>
									
								<%
								}
								%>
								
								
									
									<li><A href="Logout.jsp">Logout</A></li>
									</ul>
								</DIV></li>
								
								<li><a href="<%= response.encodeURL("FrontController?operation=3") %>" class="menu_hide_sm hide_md">Filter Management</a>
								<a style="cursor:pointer;" class="hide_lg"><span class="glyphicon glyphicon-th-list" style=""></span></a>
								<DIV class="submenu menu_sm">
									<ul class="list-unstyled">
									<li class="hide_lg"><a href="<%= response.encodeURL("FrontController?operation=3") %>">Filter Management</a></li>
									<li><a href="<%= response.encodeURL("FrontController?operation=211") %>">Filter Optimization Wizard</a></li>
									<li><a href="<%= response.encodeURL("FrontController?operation=137") %>">Score Configuration</a></li>
									<li><a class="menu_hide_sm hide_md" style="cursor:pointer;">Adaptive Filters</a>
										<a class="hide_lg" style="cursor:pointer;" onclick="more_menu('filterMenu_adaptive')">Adaptive Filters</a>
										<ul class="list-unstyled">
											<li class="filterMenu_adaptive"><a href="<%=response.encodeURL("FrontController?operation=53&type=attachment") %>">Bayesian Filter</a></li>
											<li class="filterMenu_adaptive"><a href="<%=response.encodeURL("FrontController?operation=56&type=attachment") %>">Auto-Learn Sender Filter</a></li>
										</ul>
										</li>
									<li><a class="menu_hide_sm hide_md" style="cursor:pointer;">Content Filters</a>
										<a class="hide_lg" style="cursor:pointer;" onclick="more_menu('filterMenu_content')">Content Filters</a>
										<ul class="list-unstyled">
											<li class="filterMenu_content"><a href="<%=response.encodeURL("FrontController?operation=9&type=attachment") %>">Attachment Filters</a></li>
											<li class="filterMenu_content"><a href="<%=response.encodeURL("FrontController?operation=9&type=sender") %>">Sender Filters</a></li>
											<li class="filterMenu_content"><a href="<%=response.encodeURL("FrontController?operation=9&type=subject") %>">Subject Filters</a></li>
											<li class="filterMenu_content"><a href="<%=response.encodeURL("FrontController?operation=9&type=body") %>">Body Filters</a></li>
											<li class="filterMenu_content"><a href="<%=response.encodeURL("FrontController?operation=9&type=header") %>">Header Filters</a></li>
											<li class="filterMenu_content"><a href="<%=response.encodeURL("FrontController?operation=9&type=custom") %>">Custom Filters</a></li>
										</ul>
										</li>
									<li><a class="menu_hide_sm hide_md" style="cursor:pointer;">IP Filters</a>
										<a class="hide_lg" style="cursor:pointer;" onclick="more_menu('filterMenu_ip')">IP Filters</a>
										<ul class="list-unstyled">
											<li class="filterMenu_ip"><a href="<%=response.encodeURL("FrontController?operation=121") %>">Country Filtering</a></li>
											<li class="filterMenu_ip"><a href="<%=response.encodeURL("FrontController?operation=9&type=blackIPList") %>">Black Listed IP Addresses</a></li>
											<li class="filterMenu_ip"><a href="<%=response.encodeURL("FrontController?operation=9&type=whiteIPList") %>">White Listed IP Addresses</a></li>
											<li class="filterMenu_ip"><a href="<%=response.encodeURL("FrontController?operation=6") %>">RBL Server</a></li>
										</ul>
										</li>
									<li><A href="<%= response.encodeURL("FrontController?operation=141") %>">Honey Pot</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=142") %>">Sender Policy Framework</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=221") %>">DKIM</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=143") %>">Message Size</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=144") %>">Policy Violations</A></li>
									</ul>
								</DIV></li>
							<li><a href="<%= response.encodeURL("FrontController?operation=4") %>" class="menu_hide_sm hide_md">Reports</a>
								<a style="cursor:pointer;" class="hide_lg"><span class="glyphicon glyphicon-file" style=""></span></a>
								<DIV class="submenu menu_sm">
									<ul class="list-unstyled">
									<li class="hide_lg"><a href="<%= response.encodeURL("FrontController?operation=4") %>">Reports</a></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=186") %>">Authenticated Messages</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=52") %>">Daily Activity Report</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=32") %>">Weekly Activity Report</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=33") %>">Monthly Activity Report</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=34") %>">Yearly Activity Report</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=35&type=1") %>">Activity by IP Address</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=20&type=custom") %>">Custom Filter Report</A></li>
									</ul>
								</DIV></li>
							
								<%if(isViewingAllowed){ %>
							
							<li><a href="<%= response.encodeURL("FrontController?operation=22") %>" class="menu_hide_sm hide_md">Message Repository</a>
								<a style="cursor:pointer;" class="hide_lg"><span class="glyphicon glyphicon-envelope" style=""></span></a>
								<div class="submenu menu_sm">
									<ul class="list-unstyled">
									<li><A href="<%= response.encodeURL("FrontController?operation=22") %>">Search Messages</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=23&msgType=deleted") %>">View All Junk</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=23&msgType=possible") %>">View All Possible Junk</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=23&msgType=good") %>">View All Good</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=145") %>">Action Management</A></li>
									<%
									if(authorizationLevel >= ResourceBean.AL_ADMIN_USER){ //for admin menu links
										%>
										<li><A href="<%= response.encodeURL("FrontController?operation=214") %>">Manage Outbound Queue</A></li>
										<%										
									}
									%>
									</ul>
								</div></li>
							
								<%
								}
								%>
								
							<%
								if(authorizationLevel >= ResourceBean.AL_SUPER_USER ){
							%>
						
							<li><a href="<%= response.encodeURL("FrontController?operation=158") %>" class="menu_hide_sm hide_md">Server Configuration</a>
								<a style="cursor:pointer;" class="hide_lg"><span class="glyphicon glyphicon-cog" style=""></span></a>
								<DIV class="submenu menu_sm">
									<ul class="list-unstyled">
									<li><A href="<%= response.encodeURL("FrontController?operation=158") %>">Server Configuration</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=533") %>">SMTP Configuration</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=146") %>">SMTP Proxy Configuration</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=220") %>">Send/Receive Large Emails</A></li>
									
									<li><A href="<%= response.encodeURL("FrontController?operation=191") %>">Active Directory Integration</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=170") %>">Message Retention</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=85") %>">Manage Local Host File</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=183") %>">Manage Smart Host</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=500") %>">Manage Users</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=188") %>">Manage Alerts</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=174") %>">Manage Aliases</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=152") %>">Manage Mailing/Discussion Lists</A></li>
									
									<li><A href="<%= response.encodeURL("FrontController?operation=116") %>">Manage Disclaimers</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=129") %>">Manage Forwarders</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=172") %>">Manage POP3 Fetcher</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=207") %>">Clam-AV Integration</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=65") %>">Diagnostic Check</A></li>
									</ul>
								</DIV></li>
						
							
							
							<li><a href="<%= response.encodeURL("FrontController?operation=195") %>" class="menu_hide_sm hide_md">Tools</a>
								<a style="cursor:pointer;" class="hide_lg"><span class="glyphicon glyphicon-wrench" style=""></span></a>
								<DIV class="submenu menu_sm">
									<ul class="list-unstyled menu_right">
									<li class="hide_lg"><A href="<%= response.encodeURL("FrontController?operation=195") %>">Tools</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=205") %>">Live Monitor</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=76") %>">Intrusion Detection</A></li>
									<li><A href="<%= response.encodeURL("FrontController?operation=193") %>">Spam Simulator</A></li>
									<%
									if(authorizationLevel >= ResourceBean.AL_SUPER_USER ){
									%>
										<li><A href="<%= response.encodeURL("FrontController?operation=196") %>">View Logs</A></li>
										<li><A href="<%= response.encodeURL("FrontController?operation=206") %>">Live Logs</A></li>
									<%
									}
									%>									
									<li><A href="<%= response.encodeURL("FrontController?operation=93") %>">About <%=productName %></A></li>
									</ul>
								</DIV></li>
							<%
								}
							%>
							
							<%
							}else if ( authorizationLevel == ResourceBean.AL_REGULAR_USER) {
							%>
							
							<ul class="list-inline text-center" id="header_menu">
								<li><a href="<%= response.encodeURL("FrontController?operation=509") %>">Home</A>
									<DIV class="submenu menu_sm">
									<ul class="list-unstyled menu_right">
									<li><A href="<%= response.encodeURL("FrontController?operation=509") %>">Main Menu</A></li>
									<%
									if(System.getProperty("allow.users.pwd.change", "true").equals("true")){
									%>
									<li><A href="<%= response.encodeURL("FrontController?operation=507") %>">Change password</A></li>
									<%} %>
									<li><A href="Logout.jsp">Logout</A></li>
									</ul>
								</DIV></li>
							</ul>
								<%

							}else{
								//This occurs when no one is logged in.
								%>
							<ul class="list-inline text-center" id="header_menu">
								<li><a href="<%= response.encodeURL("FrontController") %>" class="menu_hide_sm hide_md">Home</a>
									<a href="<%= response.encodeURL("FrontController") %>" class="hide_lg"><span class="glyphicon glyphicon-home" style=""></span></a></li>
							</ul>
								<%
							}
							%>
							
						</ul>
					</div>	
					
					<div class="col-md-12 col-xs-12" style="padding:0px 30px; z-index:3;">