<!-- ******** NEW_SKIN_2015 ******** -->

<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>




<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<h1>New User Wizard</h1>

<div class="row">
	<div class="col-md-3"></div>
	<div class="col-md-6">		
		<div class="well-info-wrap">
			<div class="well-info-header">Email address filter</div>
			<div class="well-info-body no-padding">
				<div class="well-info-additional text-left">
					This wizard can be used to create user accounts in <%= productName %>, which is done
					getting a list of incoming email addresses. 

					<!-- 
					If you have an <a href="<%= response.encodeURL("FrontController?operation=197") %>">LDAP directory running</a>
					within your network, you can extract a list of users from there as well.
					 -->
					 
					 
					<p>
						<b>IMPORTANT: </b>You must run <%= productName %> for at least one day before using this wizard.
					</p>
				</div>
				
				<div style="padding:10px;">
					<form action="<%= request.getAttribute("appPath") %>" method="post">
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('domainName')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">Domain Name</span>
					<input class="form-control form-right pull-left wth-5" type="text" name="txtDomain" value="">

					<br style="clear:both;">
					<div class="alert alert-info more_info" id="domainName">
						Leave blank to include all domains that are handled by this server.
					</div>
					
					
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('minEmail')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">Minimum Email Count</span>
					<input class="form-control form-right pull-left wth-5 text-center" type="text" name="txtMinMsgCount" value="5">

					<br style="clear:both;">
					<div class="alert alert-info more_info" id="minEmail">
						This number
						puts a lower limit on the number of emails a user must receive. For example if you
						put a 5 here, that means that every email address that received more than 5 emails
						will be included in the Wizard.
					</div>
					
					<br style="clear:both;">
					<button class="btn btn-sm btn-submit pull-right" type="submit" value="Proceed">Proceed</button>
					<input type="hidden" name="operation" value="101" />
					</form>
					<br style="clear:both;">
				</div>
			</div>
		</div>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
