<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>
<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("POP Fetcher", "current", true));



//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MainMenu");
%>

<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<%
PopFetcherHolder oneHolder = (PopFetcherHolder)request.getAttribute("thePoper");
Integer index = (Integer)request.getAttribute("index");

%>

<h1>New POP Account</h1>

<div class="row">
	<div class="col-md-3"></div>
	<div class="col-md-6">
		<div class="well-info-wrap">
			<div class="well-info-header">Add a new account</div>
			<div class="well-info-body">
				<form action="<%= request.getAttribute("appPath") %>" method="post">
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('pop_serv')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">POP3 Server</span>
				<input class="form-control form-right pull-left wth-5 text-center" type="text" name="popFetchServer" value="<%=oneHolder.getPopFetchPopServer()%>">
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="pop_serv">
					Host name/IP address of the POP3 Server. Consult with you ISP to get the exact value
				</div>
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('pop_username')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Username</span>
				<input class="form-control form-right pull-left wth-5 text-center" type="text" name="popFetchUser" value="<%=oneHolder.getPopFetchUser()%>">
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="pop_username">
					User name of your POP3 account
				</div>
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('pop_pwd')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Password</span>
				<input class="form-control form-right pull-left wth-5 text-center" type="password" name="popFetchPwd" value="<%=oneHolder.getPopFetchPwd()%>">
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="pop_pwd">
					Password of your POP3 account
				</div>
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('pop_recip')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Recipient</span>
				<input class="form-control form-right pull-left wth-5 text-center" type="text" name="popFetchRecipient" value="<%=oneHolder.getPopFetchRecipient()%>">
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="pop_recip">
					Email address of the person who will receive message. If left blank the person
					in the TO/CC field will be treated as recipient. We strongly recommend that you <u>do not</u> leave this
					field blank.
				</div>
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('pop_count')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Fetch Count</span>
				<input class="form-control form-right pull-left wth-5 text-center" type="text" name="popFetchCount" value="<%=oneHolder.getPopFetchCount()%>">
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="pop_count">
					Number of emails to retrieve per fetch. 0 means all messages will be retrieved
					on every fetch.
				</div>
				
				<button class="btn btn-sm btn-submit pull-right" type="submit">Save</button>
				<input type="hidden" name="operation" value="73">
				<input type="hidden" name="index" value="<%=index.intValue()%>">
				</form>
				<br style="clear:both;">
			</div>
		</div>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
