<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>


<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Initial Setup", "current", true));



//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "Setup4");
%>
<%@ include file="NewPageHeader.jsp" %>

<div class="row">
	<div class="col-md-1 col-xs-1 text-center">
		<br><br><br><br><br>
		<span class="initial glyphicon glyphicon-ok" style="color:#8fbb91;" title="Admin Email &amp; Password"></span>
		<br><br>
			<span>&nbsp;</span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-ok" style="color:#8fbb91;" title="Select Server Type"></span>
		<br><br>
			<span>&nbsp;</span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-ok" style="color:#8fbb91;" title="Corporate Email Server"></span>
		<br><br>
			<span>&nbsp;</span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-record" style="color:#8fbb91;" title="Domain Configuration"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical" style="color:#c76c64;"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Complete Setup"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Connect to Admin Console"></span>
		
		<br><br>
	</div>
	
	<div class="col-md-10 col-xs-11">
		<h1>Local Domain Configuration <small class="pull-right">Initial Setup Wizard</small></h1>
		<br>
		<div class="well">
			Specify one or more domains that this server should handle. For example: acme.com
		</div>
		<%
		String suggestedDomain = (String)request.getAttribute("suggestedDomain");
		java.util.List existingDomains = (java.util.List)request.getAttribute("existingDomains");

		String errorMessage = (String)request.getAttribute("errorMessage");
		if(errorMessage != null && errorMessage.length() > 0){
			out.println("<p><span class='errorMsg'>ERROR: " + errorMessage + "</span");
		}


		if(suggestedDomain == null){
			suggestedDomain = "";
		}
		%>
		<form action="<%= request.getAttribute("appPath") %>" method="post">
			<h3>Domains</h3>
			<table class="table table-striped table-bordered table-hover">
				<tr class="well-info-header">								
					<th class="text-center">Domain name</th>
					<th class="text-center">Action</th>
				</tr>
			<%
			if(existingDomains != null && existingDomains.size() > 0){
			%>
				<%
				for(int i = 0; i < existingDomains.size(); i++){
				%>
					
				<tr class="<%= (i % 2) == 0 ? "evenRow" : "oddRow" %>" >
					
					<td><%=existingDomains.get(i).toString() %></td>
					<td class="text-center"><a href="<%=response.encodeURL("FrontController?operation=setup") %>&step=removeDomain&dname=<%=existingDomains.get(i).toString() %>">Remove</a></td>
					
				</tr>
				
				<%	
				}
				%>
			<%	
			}			
			%>	
				<tr>
					<td>
						<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('ID_OF_INFO_BOX')"><b>?</b></div>
						<span class="form-control form-middle form-text pull-left wth-4">Add a New Domain</span>
						<input class="form-control form-right pull-left wth-5" name="txtDomainName" type="text" value="<%=suggestedDomain %>">
					</td>
					<td class="text-center"><button class="btn btn-sm btn-submit" type="Submit" name="addMore" value="Add More" title="Click here to add additional domains for this server.">Add</button></td>
				</tr>
			</table>
			<div class="alert alert-info more_info" id="ID_OF_INFO_BOX" style="margin-top:-20px;">
				Enter a domain name that will be handled by this server. For example: yourCompany.com
			</div>
			<button class="btn btn-sm btn-submit pull-right" type="Submit" name="addMore" value="Next" title="Click here if you are done adding domain names.">Next</button>						
		<input type="hidden" value="setup" name="operation">
		<input type="hidden" value="saveSmtpDomain" name="step">
		</form>
	</div>
</div>

<%@ include file="NewPageFooter.jsp" %>
