<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>


<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<%
UserBean theUser = (UserBean)request.getAttribute("TheUser");

int maxRows = 0;
String associateEmails[] = theUser.getAssociatedEmails();
Arrays.sort(associateEmails);

maxRows = associateEmails.length;

String msg = (String)request.getAttribute("message");
%>

<%
if(msg != null){
 	out.println("<div class=\"alert alert-info text-center\">" + msg + "</div>");
}

if(authorizationLevel >= ResourceBean.AL_ADMIN_USER){ //for admin menu links
%>
<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo;
<a href="<%=response.encodeURL("FrontController?operation=500") %>">User Administration</a>

<%
	
}else if(authorizationLevel == ResourceBean.AL_REGULAR_USER){
	%>
	<a href="<%=response.encodeURL("FrontController?operation=509") %>">Back Home</a>
	<%
}
%>

<h1>Associated Emails for <u><%=theUser.getEmail()%></u></h1>
<br>
<div class="well">
	Associated email list is a convenient way of tying more than one email addresses to one account.
</div>

<div class="row">
	<div class="col-md-8">
		<div class="well-info-wrap">
			<div class="well-info-header">Existing Associations</div>
			<div class="well-info-body no-padding">
				<form action="<%= request.getAttribute("appPath") %>" method="post">
				<table class="table table-striped table-bordered table-condensed">
					<%
					String email;
					String assocLink;

					String blankString = "";
					String greyColor =  "#CCCCCC";
					String whiteColor = "#FFFFFF";
					String rowColor;

					for(int i = 0; i < maxRows; i++){
						if(associateEmails.length > i && associateEmails[i] != null){
							email = associateEmails[i];
							assocLink = "<a href=\"FrontController?operation=522&id="+ email + "&primaryEmail=" +
								theUser.getEmail() + "\">Remove</a>";
						}else{
							email = blankString;
							assocLink = blankString;
						}
						rowColor = ((i % 2) == 0) ? greyColor : whiteColor;
						%>

					<tr  bgcolor="<%=rowColor%>">
						<td class="text-center"><%=email%></td>
						<td class="text-center"><%=assocLink%></td>
					</tr>
				   <%
					}
				   %>
					<tr>
						<td>
							<input class="form-control pull-left" type="text" name="txtEmail" placeholder="New Email Address">
						</td>
						<td class="text-center">
							<button class="btn btn-sm btn-submit" type="submit">Add</button>
						</td>
					</tr>
					<input type="hidden" name="operation" value="521" />
					<input type="hidden" name="listType" value="associate" />
					<input type="hidden" name="primaryEmail" value="<%=theUser.getEmail()%>"/>
				</table>
				</form>
			</div>
		</div>
	</div>
	
	<br class="hide_lg">
	<div class="col-md-4">
		<div class="well-info-wrap">
			<div class="well-info-header">Usage Tip</div>
			<div class="well-info-body">
				For example, if John has multiple email addresses like,
				<ul>
					<li>John@yourdomain.com
					<li>John.Smith@yourdomain.com
					<li>John@AnotherDomain.com
				</ul>
				they can all be tied to one account.
			</div>
		</div>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
