<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>


<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<%@ include file="CurrentProfileName.jsp" %>
<%@ include file="LicenseWarning.jsp" %>

<h1>Auto Learn Sender</h1>

<div class="well text-center">If this option is enabled, <%= productName %> will learn the recipients emails address from
outbound email messages.</div>

<div class="row">
	<div class="col-md-6">
		<div class="well-info-header">How does this work</div>
		<div class="well-info-body">
			<p>When a <a href="<%=response.encodeURL("FrontController?operation=112") %>">trusted user</a> sends an outbound email message to a recipient
			on the Internet, <%= productName %> will give credit to messages that are sent back to your server from these
			recipients.
			<br><br>
			There are two ways <%= productName %> figures out if a message is outbound and originated from a trusted source:

			<ul>
			<li>User is using SMTP authentication to send message (Only applicable if you are using Proxy Server)
			<li>Email is being sent from a Trusted IP address.
			</li>
			</ul>
			</p>
			<a href="<%=response.encodeURL("FrontController?operation=112") %>"><button class="btn btn-sm btn-menu pull-right">Manage Trusted IP Addresses &nbsp; &raquo;</button></a>
			<br style="clear:both;">
		</div>
	</div>

	<div class="col-md-6">
		<form  action="<%= request.getAttribute("appPath") %>" method="post">
		<%
		String autoLearnSender = (String)request.getAttribute("AutoLearnSender");
		%>
		<h3><span class="chkbox-cust form-control pull-left wth-1 pull-left" style="margin-left:10px;"> &nbsp; <span class=""><input id="chk-send" type="checkbox" name="AutoLearnSender" value="1" <%=autoLearnSender%> ><label for="chk-send"></label></span></span>
		&nbsp; &nbsp;
		Enable Auto-Learn Sender Whitelist</h3>
		<hr>
		&nbsp;
		<button class="btn btn-sm btn-submit" type="submit">Submit</button>
		<input type="hidden" name="operation" value="57">
		</form>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
