<%@ page import="com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>





<h1>User Repository Viewer</h1>

<%
boolean displayIdlingRecords = true;
%>
<div class="row">
	<div class="col-md-4">
		<div>
			<form action="<%= request.getAttribute("appPath") %>" method="post"  class="form-inline">
				<div class="form-group">
				<select class="form-control" name="ue">
					<%
					List<String> userList = (List<String>) request.getAttribute("userList");
					for(String oneUser : userList){
						String selected = "";
						if(request.getParameter("ue") != null && request.getParameter("ue").equals(oneUser)){
							selected = " selected='true' ";
						}
						%>
					<option value="<%=oneUser %>" <%= selected %> ><%=oneUser %></option>
						<%
					}
					%>
				</select>
				
				</div>
				
				<div class="form-group">
					<input class="btn btn-submit" type="submit" value="Display">
				</div>
				<input type="hidden" name="operation" value="210">
			</form>
		</div>
	</div>
	<div class="col-md-8"></div>
</div>

<%
List<UserRepositoryBean> repBeans = (List<UserRepositoryBean>) request.getAttribute("repBeans");
if(repBeans != null){
	%>
	<h3>Email Repository for: <%=request.getParameter("ue") %> <span class="pull-right">
	<a href="<%= request.getAttribute("appPath") %>?operation=210&ue=<%=request.getParameter("ue") %>&tjunk=true" 
		title="Removes older messages from Junk and Possible Junk folders">Trim Junk/Possible Junk</a> | 
	<a href="<%= request.getAttribute("appPath") %>?operation=210&ue=<%=request.getParameter("ue") %>&pall=true" 
		title="Purges every folder and reduces disk usage">Purge All</a> 
	
	</span></h3>
	
	<table class="table">
		<tr><th>Folder name</th><th>Total <small>(Including deleted)</small></th><th>Total <small>(Excluding deleted)</small></th><th>Deleted</th><th>Marked for deletion</th><th>Seen</th><th>Action</th></tr>
		<% 
		for(int i = 0; i < repBeans.size(); i++){
			displayIdlingRecords = false;
			%>
			<tr>
				<td><%= repBeans.get(i).getFolderName()%></td>
				<td><%= repBeans.get(i).getTotalEmails() %> emails consuming <%= repBeans.get(i).getTotalEmailSizeIncludingDeleted() %></td>
				<td><%= repBeans.get(i).getTotalEmailsThatAreNotDeleted() %> emails consuming <%= repBeans.get(i).getTotalEmailSizeThatAreNotDeleted() %></td>
				<td><%= repBeans.get(i).getPermanentlyDeletedCount() %></td>
				<td><%= repBeans.get(i).getMarkedDeletedCount() %></td>
				<td><%= repBeans.get(i).getSeenCount() %></td>
				<td><a href="<%= request.getAttribute("appPath") %>?operation=210&ue=<%=request.getParameter("ue") %>&pfn=<%= repBeans.get(i).getFolderName()%>" 
					title="Shrink repository by removing deleted files">Purge</a></td>
				
			</tr>
			<%
		}
		%>
	</table>
	<%
}
%>


<%
if(displayIdlingRecords){
	out.println(request.getAttribute("activeClientList"));
}
%>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
