<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>

<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Message Repository", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MessageRepository");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>



<script type="text/javascript">
<!--
function SetAllCheckBoxes(FormName)
{
    //alert('Hello');
	if(!document.forms[FormName]){
        alert('Invalid form name specified');
		return;

	}
	var objCheckBoxes = document.forms[FormName].elements;

    for(var i = 0; i < objCheckBoxes.length; i++){
     	var oneElement = objCheckBoxes[i];
        if(oneElement.type == 'checkbox'){
         	oneElement.checked = !oneElement.checked;
        }
    }



}
// -->
</script>





<%

ArrayList searchResult = (ArrayList)request.getAttribute("SearchResult");


if(searchResult == null){
   out.println("<H2>Search result is null. Cannot continue</H2>");
   return;
}

String msgType = (String)request.getAttribute("MsgType");
String pageNumber = (String)request.getAttribute("PageNumber");
String totalPages = (String)request.getAttribute("TotalPages");
String recordsPerPage = (String)request.getAttribute("RecordsPerPage");
String startRecord = (String)request.getAttribute("StartRecord");
String endRecord = (String)request.getAttribute("EndRecord");





int iStartRecord = 0;
int iEndRecord = 0;
int iTotalRecords;
int iPageNumber = 0;
int iTotalPages = 0;
try{
    iStartRecord = Integer.parseInt(startRecord);
    iEndRecord = Integer.parseInt(endRecord);
    iPageNumber = Integer.parseInt(pageNumber);
    iTotalPages = Integer.parseInt(totalPages);
}catch(NumberFormatException nfe){
    out.println("<H2>Invalid number for either start or end record</H2>");
    return;
}

iTotalRecords = searchResult.size();

String nextPageLink;
String prevPageLink;
String firstPageLink;
String lastPageLink;
String switchLink;

// <a href=\"#\" onclick=\"javascript:SetAllCheckBoxes('mrForm', 'Rec_', true);\">
if(AppConfig.getInstance().isCompactView()){
    switchLink = "<a href=\"FrontController?operation=82&switchTo=detail&msgType=" + msgType + "\" class=\"btn btn-sm btn-menu pull-right\">Detail View</a>";
}else{
    switchLink = "<a href=\"FrontController?operation=82&switchTo=compact&msgType=" + msgType + "\" class=\"btn btn-sm btn-menu pull-right\">Compact View</a>";
}

String p1, p2, p3, p4, p5, p6, p7, p8, p9, p10;


if(iTotalPages == 0){
 	firstPageLink = "First";
	lastPageLink = "Last";
}else{
 	firstPageLink = "<a href=\"FrontController?operation=26&page=0&msgType=" + msgType + "\" >First</a>";
	lastPageLink = "<a href=\"FrontController?operation=26&page=" + (iTotalPages) + "&msgType=" + msgType + "\" >Last</a>";
}

if(iPageNumber == 0){
    prevPageLink = "Previous";
}else{
	prevPageLink = "<a href=\"FrontController?operation=26&page=" + (iPageNumber - 1) + "&msgType=" + msgType + "\" >Previous</a>";
}

if(iPageNumber == iTotalPages){
    nextPageLink = "Next";
}else{
    nextPageLink = "<a href=\"FrontController?operation=26&page=" + (iPageNumber + 1) + "&msgType=" + msgType + "\" >Next</a>";
}

int startingPageNumber = (iPageNumber + 1) - ((iPageNumber + 1) % 10);


StringBuffer pageNumberLink = new StringBuffer(512);

for(int i = startingPageNumber; i < (startingPageNumber + 15); i++){
 	//I find out what is the current page number. If the page number is between 1 and 10, I display
   // 1 to 10. If it is 11 to 20, I display those pages.

   if(i > iTotalPages || i == iPageNumber){
       pageNumberLink.append(i + 1).append("&nbsp;&nbsp;");
   }else{
   		pageNumberLink.append("<a href=\"FrontController?operation=26&page=").append(i).append("&msgType=").
   			append(msgType).append("\" >").append(i + 1).append(" </a>&nbsp;");
   }

}
%>

	<form action="<%= request.getAttribute("appPath") %>" method="post" name="mrForm">

	<div class="col-md-12 text-center">
		<div class="well text-center">
		<%
		String msgTypeHeader = (String) request.getAttribute("MsgTypeHeader");
		if(msgTypeHeader != null){
			%>
			<%=msgTypeHeader %> <span class="menu_hide_sm hide_md">&nbsp; | &nbsp;</span> <br class="hide_lg">
			<%
		}
		%>
		Displaying record number <%=(iStartRecord + 1)%> to <%=iEndRecord%> - <b>Page <%=(iPageNumber + 1)%> of <%=(iTotalPages + 1)%></b></div>
	</div>


<%
if(request.getAttribute("filteringDisabled") != null){
	%>
	<div class="pull-right">
		<i class="glyphicon glyphicon-pushpin"></i> <b>NOTE: </b> Spam filtering is disabled. Every message will appear as Good.
	</div>
	<%
}
%>

<%@ include file="ExpNote.jsp" %>



<div class="pull-left">
	<button class="btn btn-sm btn-submit" name="mag" value="1" alt="Mark selected messages as good">Mark as Good</button> &nbsp;
	<button class="btn btn-sm btn-submit" name="mas" value="2" alt="Mark selected messages as junk">Mark as Junk</button> &nbsp;
	<button class="btn btn-sm btn-submit" name="rsm" value="3" alt="Restore selected messages">Restore Emails</button>
</div>




<br style="clear:both;"><br>
<div class="text-center"><%=firstPageLink%> | <%=prevPageLink%> | <%=pageNumberLink.toString()%> | <%=nextPageLink%> | <%=lastPageLink%></div>

<br class="hide_lg">

<a href="javascript:SetAllCheckBoxes('mrForm');" title="Toggle Selected Items" class="btn btn-sm btn-menu">Toggle Selection</a>
<%=switchLink%>

<br style="clear:both;">
<div class="table-responsive" style="margin-top:5px;">


	<table class="table table-striped table-bordered table-condensed table-hover">
	<%
	String markAsSpam;
	String markAsHam;


	String rowColor;
	String whiteColor = "#FFFFFF";
	String silverColor = "#DDDDDD";


	for(int i = iStartRecord; i < iEndRecord; i++){
		MessageFileHolder mFileHolder = (MessageFileHolder)searchResult.get(i);

		if(!mFileHolder.fileExists(true) || mFileHolder.isDeleted()){
			System.out.println("File does not exist 2");
			continue;
		}



		
		if(mFileHolder.getFileType() == MaxEmailActions.SPAM){
			msgType = "deleted";
		}else if(mFileHolder.getFileType() == MaxEmailActions.GOOD){
			msgType = "good";
		}else if(mFileHolder.getFileType() == MaxEmailActions.POSSIBLE_SPAM){
			msgType = "possible";
		}


		if((i % 2) == 0){
			rowColor = whiteColor;
		}else{
			rowColor = silverColor;
		}


		if(msgType.equals("good")){
			markAsSpam = "<a class=\"pull-right\" title=\"Mark as Spam\" href=\"FrontController?operation=55&type=s&fileName=" + mFileHolder.getFileName() +
					"&msgType=" + msgType + "&pg=" + pageNumber + "\">&nbsp;<span class=\"glyphicon glyphicon-flag\" style=\"color:#A0370D;\"></span> &nbsp; &nbsp;</a>";
			markAsHam = "";
		}else if(msgType.equals("deleted")){
			markAsSpam = "";
			markAsHam = "<a title=\"Mark as Good\" href=\"FrontController?operation=55&type=g&fileName=" + mFileHolder.getFileName() +
					"&msgType=" + msgType + "&pg=" + pageNumber + "\">&nbsp; <span class=\"glyphicon glyphicon-ok-sign\" style=\"color:#bde0f1;\"></span> &nbsp;</a>";
		}else{
			markAsSpam = "<a class=\"pull-right\" title=\"Mark as Spam\" href=\"FrontController?operation=55&type=s&fileName=" + mFileHolder.getFileName() +
					"&msgType=" + msgType + "&pg=" + pageNumber + "\"><span class=\"glyphicon glyphicon-flag\" style=\"color:#A0370D;\"></span> &nbsp; &nbsp;</a>";
			markAsHam = "<a title=\"Mark as Good\" href=\"FrontController?operation=55&type=g&fileName=" + mFileHolder.getFileName() +
					"&msgType=" + msgType + "&pg=" + pageNumber + "\">&nbsp; <span class=\"glyphicon glyphicon-ok-sign\" style=\"color:#bde0f1;\"></span> &nbsp;</a> | &nbsp;";
		}


		if(AppConfig.getInstance().isCompactView()){
		%>
			<%@ include file="MessageResultsCompactView.jsp" %>
		<%
		}else{
		%>
			<%@ include file="MessageResultsDetailView.jsp" %>
		<%
		}
	}
	%>
	</table>
</div>

<%
msgType = (String)request.getAttribute("MsgType");
%>

<div class="text-center"><%=firstPageLink%> | <%=prevPageLink%> | <%=pageNumberLink.toString()%> | <%=nextPageLink%> | <%=lastPageLink%></div>

<br>
<div class="pull-left">
	<button class="btn btn-sm btn-submit" name="mag" value="1" alt="Mark selected messages as good">Mark as Good</button> &nbsp;
	<button class="btn btn-sm btn-submit" name="mas" value="2" alt="Mark selected messages as junk">Mark as Junk</button> &nbsp;
	<button class="btn btn-sm btn-submit" name="rsm" value="3" alt="Restore selected messages">Restore Emails</button>
</div>

<input type="hidden" name="operation" value="83"/>
<input type="hidden" name="msgType" value="<%=msgType%>"/>
<input type="hidden" name="pg" value="<%=pageNumber%>"/>

</form>

<%@ include file="NewPageFooter.jsp" %>
