<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>




<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>


<h2>Sender History Contents</h2>

<table class="table table-condensed table-bordered table-stripped">
	<tr>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Email Address</font></th>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Outbound</font></th>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Spam</font></th>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Possible Spam</font></th>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Good</font></th>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Last Access</font></th>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Calculated Score</font></th>
	</tr>


    <%
    String odd = "#FFFFFF";
    String even = "#DDDDDD";
    String bgcolor;
    int minEmailCount, senderWeight;

    List<SenderHistoryBean> senderList = (List<SenderHistoryBean>)request.getAttribute("SenderList");
    try{
	    minEmailCount = Integer.parseInt((String)request.getAttribute("MinEmailCount"));
    	senderWeight = Integer.parseInt((String)request.getAttribute("SenderHistoryWeight"));
    }catch(Exception e){
      minEmailCount = 5;
      senderWeight = 50;
    }


    if(senderList != null){
     	for(int i = 0; i < senderList.size(); i++){
			if((i % 2) == 0){
             	bgcolor = odd;
			}else{
             	bgcolor = even;
			}

            SenderHistoryBean holder = senderList.get(i);
            %>
            <tr bgcolor="<%=bgcolor%>">
                <td><%=holder.getEmail()%></td>
                <td><%=holder.getOutboundHamCount()%></td>
                <td><%=holder.getInboundSpamCount()%></td>
                <td><%=holder.getInboundPossibleSpamCount()%></td>
                <td><%=holder.getInboundHamCount()%></td>
                <td><%=GlobalFuncs.formatDate(holder.getLastCommunicationTime())%></td>
                <td><%=holder.calculateScore(senderWeight, minEmailCount)%></td>
            </tr>

            <%
     	}
    }
    %>
</table>

<p>








<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
