<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>


<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Initial Setup", "current", true));



//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "Setup3");
%>
<%@ include file="NewPageHeader.jsp" %>

<div class="row">
	<div class="col-md-1 col-xs-1 text-center">
		<br><br><br><br><br>
		<span class="initial glyphicon glyphicon-ok" style="color:#8fbb91;" title="Admin Email &amp; Password"></span>
		<br><br>
			<span>&nbsp;</span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-ok" style="color:#8fbb91;" title="Select Server Type"></span>
		<br><br>
			<span>&nbsp;</span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-record" style="color:#8fbb91;" title="Corporate Email Server"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical" style="color:#c76c64;"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Domain Configuration"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Complete Setup"></span>
		<br><br>
			<span class="glyphicon glyphicon-option-vertical"></span>
		<br><br>
		
		<span class="initial glyphicon glyphicon-minus-sign" style="opacity:0.5;" title="Connect to Admin Console"></span>
		
		<br><br>
	</div>
	
	<div class="col-md-10 col-xs-11">
		<h1>Corporate Email Server Settings <small class="pull-right">Initial Setup Wizard</small></h1>
		<br>
		<div class="well">
			Specify the host name/IP address of your corporate email server.
		</div>
		<%
		String errorMessage = (String)request.getAttribute("errorMessage");
		if(errorMessage != null && errorMessage.length() > 0){
			out.println("<p><span class='errorMsg'>ERROR: " + errorMessage + "</span");
		}

		%>
		
		<div class="row">
			<div class="col-md-7">
				<form action="<%= request.getAttribute("appPath") %>" method="post">
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('hostname')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">Host name / IP Address</span>
					<input class="form-control form-right pull-left wth-5" name="txtHostName" type="text">

					<br style="clear:both;">
					<div class="alert alert-info more_info" id="hostname">
						Host name/IP address of your corporate email server.
					</div>
					
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('tcp')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">TCP/IP Port</span>
					<input class="form-control form-right pull-left wth-5 text-center" name="txtPort" type="text" value="25">

					<br style="clear:both;">
					<div class="alert alert-info more_info" id="tcp">
						TCP/IP port on which your corporate email server listens for incoming emails. The default value for an SMTP server is 25.
					</div>
			</div>
			
			<br>
			<div class="col-md-5">
				<div class="well-info-wrap">
					<div class="well-info-header">Xeams Compatibility</div>
					<div class="well-info-body">
						<%=productName %> works with a wide range of email servers including Microsoft Exchange, IBM Lotus Notes, Novel Groupwise, SendMail or any other server that supports SMTP.
						<br><br>
					</div>
				</div>
					<br style="clear:both;">
					<button class="btn btn-sm btn-submit pull-right" type="submit">Next</button>
					<input type="hidden" value="setup" name="operation">
					<input type="hidden" value="saveCorpHost" name="step">
				</form>
			</div>
		</div>
	</div>
</div>

<%@ include file="NewPageFooter.jsp" %>
